V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
fishCulturer
V2EX  ›  Java

maven 依赖问题求大佬

  •  
  •   fishCulturer · 2020-12-02 10:39:49 +08:00 · 838 次点击
    这是一个创建于 412 天前的主题,其中的信息可能已经有所发展或是发生改变。
    maven install 会引入不是我想要版本的 jar 包,在依赖树中查不到该版本 jar 包 只能查到我想要的版本,但是 debug 时会跳到不想要的那个版本中,怎么解决呢?或者怎么排查这个低版本 jar 包是通过什么依赖进来的
    4 条回复    2021-01-22 11:27:20 +08:00
    Oktfolio
        1
    Oktfolio  
       2020-12-02 11:21:57 +08:00
    mvn dependency:tree

    mavenhelper
    fengpan567
        2
    fengpan567  
       2020-12-02 13:56:43 +08:00
    RagingSweet
        3
    RagingSweet  
       2020-12-02 17:08:21 +08:00
    idea 装个 maven helper 的插件,然后打开 pom 文件,会有一个新的 tab 页”dependency analyzer"里面可以搜索
    Miscedence
        4
    Miscedence  
       361 天前 via Android
    刚毕业 ?几年经验?科班出身?
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1762 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 19ms · UTC 17:10 · PVG 01:10 · LAX 09:10 · JFK 12:10
    ♥ Do have faith in what you're doing.